Subject: Re: [sidr] Route Leaks

From: Curtis Villamizar <[email-masked]>
Date: Mon, 08 Jun 2009 22:02:05 -0400

In message <[email-masked]>
Danny McPherson writes:
>  
>  
> On May 27, 2009, at 10:29 AM, Jared Mauch wrote:
>  
> >
> > This happens a lot.  I have a large set of data over the past years  
> > that is collected here:
> >
> > http://puck.nether.net/bgp/leakinfo.cgi
> >
> > There is constant noise visible.  The currently visible problem set  
> > can be resolved with presently available tools  (eg: better bgp  
> > policy w/ communities).
>  
> And I'm saying if SIDR doesn't protect against this, and
> it happens a lot, then we're leaving a very large void.
>  
> > There is very little incentive for providers to fix this.
>  
> Right, until it's used to launch a targeted attack against
> a target someone cares about.  To say there's no incentive
> to fix this is to say there's no incentive for SIDR.
>  
> > We constantly have leaks with some customers leaking their transit- 
> > learned path for a customer of theirs.
>  
>  
> That was my experience as well...
>  
> -danny

Danny,

As a WG we agreed to bury our heads in the sand (*footnote*) long ago.

Are you suggesting that the WG revisit a prior fundamental decision?

Curtis

(*footnote*) For anyone unfamiliar, this is a common expression in
English speaking cultures for ignoring an obvious problem.  When
frightened an ostrich will bury its head in the sand to hide from the
perceived danger.  It is not considered a very intellegent strategy.

---

From: [email-masked] (Sandy Murphy)
Date: Wed, 10 Jun 2009 12:28:04 -0400 (EDT)

>Are you suggesting that the WG revisit a prior fundamental decision?

First, this was a chartering decision, not a wg decision.

The charter says the wg will work on origin authorization because:

(a) USEFULNESS: origin authorization solves an existing important problem

(b) FUTURE WORK: origin authorization is the base case, the first step,
the canonical case of each, all (see also: EVERY) known proposed BGP
security solution.  We'd have to do this anyway, no matter what.

(c) PROCESS: sidr was chartered to carry out the requirements set by
the rpsec wg.  The rpsec wg said origin authorization was required but
was struggling with consensus about protecting other attributes (i.e.,
path protection, etc.).  So sidr was chartered to do origin authorization
and then any other requirments rpsec came up with.  Because of (b) this
strategy was known not to be a waste of time.  But, sadly, rpsec folded
before they could finish setting other requirements.

It is recognized and known that origin authorization does not provide
full BGP security.  Once we get this done, we will find a way to progress
to figuring out the next step.

This is the first step and we need to get it done.

--Sandy